-- =============================================
-- Author:		Caruso Fabrizio
-- Create date: 17/09/2014
-- Description:	
-- Individuazione dei Clienti che presentano in Anagrafica un indirizzo email 
-- formalmente errato
-- Impostazione Codice TIPO CONTROLLO per il controllo specifico 
-- ( per riferimenti al tipo controllo verificare tabella "tb_tipocontrollo" )
-- =============================================
CREATE procedure [C6MartPeriodico].[SP_DQ_VerificaEmail_pre_selective]
@idFaseElaborazione int
AS
BEGIN
Declare @idTipoControllo int
set @idTipoControllo=8		
SELECT RETE, cod_fiscale,@idTipoControllo idtipocontrollo
into #TbErrori
from c6martperiodico.contrattosei
where dbo.RegExIsMatch('^([\w\-\+\.]+)@([\w\-\+\.]+).([\w\-\+\.]+)$',isNull(email,'aa@aa.it'),0) = 0 
and email <> '' -- 10/10/2016 Aggiunta questa condizione per gestire i campi email a ''
declare @idElab  int
select @idElab=max(id_elab) from  c6martperiodico.elaborazioni
--select * from c6martperiodico.tb_tipocontrollo
Insert into C6MartPeriodico.TB_SegnalazioniDataQuality
( 
idTipoControllo,
rete,
codiceFiscale,
descSegnalazione,
idElaborazione,
richiesta,
idFaseElaborazione)
select tbErr.idTipoControllo,rete,cod_fiscale,DescSegnalazione,@idelab,'',@idFaseElaborazione
from #TbErrori tbErr
inner join c6martperiodico.tb_tipocontrollo Tipo
on tbErr.idtipocontrollo = tipo.idTipoControllo
end